
name: changeback-dev

services:
  customer-api:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
      - ASPNETCORE_URLS=http://+:80
    networks:
      - external-network
    restart: unless-stopped

  portal-api:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
      - ASPNETCORE_URLS=http://+:80
    networks:
      - external-network
    restart: unless-stopped

  partners-api:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
      - ASPNETCORE_URLS=http://+:80
    networks:
      - external-network
    restart: unless-stopped

  admin-web:
    build:
      args:
        - NODE_BUILD_SCRIPT=build:development
        - NODE_ENV=development
    depends_on:
      - portal-api
    environment:
      TZ: America/Sao_Paulo
      PORT: 80
    networks:
      - external-network
    restart: unless-stopped

  customer-web:
    build:
      args:
        - NODE_BUILD_SCRIPT=build:development
        - NODE_ENV=development
    depends_on:
      - customer-api
    environment:
      TZ: America/Sao_Paulo
      PORT: 80
    networks:
      - external-network
    restart: unless-stopped

  portal-web:
    build:
      args:
        - NODE_BUILD_SCRIPT=build:development
        - NODE_ENV=development
    depends_on:
      - portal-api
    environment:
      TZ: America/Sao_Paulo
      PORT: 80
    networks:
      - external-network
    restart: unless-stopped

networks:
  external-network:
    driver: bridge

